AurionAI Docs

Preview Kb Import V2

Fetch real articles from external provider for import preview.

POST
/api/v2/kb/import/preview

Fetch real articles from external provider for import preview.

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v2/kb/import/preview" \  -H "Content-Type: application/json" \  -d '{    "provider": "string"  }'
{
  "articles": [
    {
      "body_preview": "string",
      "category": "string",
      "source_id": "string",
      "status": "string",
      "title": "string"
    }
  ],
  "provider": "string",
  "total_available": 0,
  "warnings": [
    "string"
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}